﻿/**
 * Copyright (C) 2003-2017, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#include "pch.h"
#include "AppThumbnailPage.xaml.h"

using namespace CompletePDFViewer;

using namespace Platform;
using namespace Windows::Foundation;
using namespace Windows::Foundation::Collections;
using namespace Windows::UI::Xaml;
using namespace Windows::UI::Xaml::Controls;
using namespace Windows::UI::Xaml::Controls::Primitives;
using namespace Windows::UI::Xaml::Data;
using namespace Windows::UI::Xaml::Input;
using namespace Windows::UI::Xaml::Media;
using namespace Windows::UI::Xaml::Navigation;

// The User Control item template is documented at https://go.microsoft.com/fwlink/?LinkId=234236

AppThumbnailPage::AppThumbnailPage()
{
	InitializeComponent();
}

void AppThumbnailPage::Show()
{

}
void AppThumbnailPage::Hide()
{
	if (this->Parent && this->Parent->GetType()->FullName == Windows::UI::Xaml::Controls::Grid::typeid->FullName)
	{
		auto pGrid = dynamic_cast<Windows::UI::Xaml::Controls::Grid^>(this->Parent);
		unsigned int index = -1;
		if (pGrid->Children->IndexOf(this, &index))
		{
			pGrid->Children->RemoveAt(index);
		}
	}
}

void CompletePDFViewer::AppThumbnailPage::ExitAppBarBtn_Click(Platform::Object^ sender, Windows::UI::Xaml::RoutedEventArgs^ e)
{
	Hide();
}
