/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once

namespace CompletePDFViewer
{
	public interface class IGeneralSetting
	{
		property double DocumentMaxScale
		{
			double get();
		}
		property double MRUThumbnailHeight;
		property double MRUThumbnailWidth;
		property double ScaleForView
		{
			double get();
		}
	};

	public ref class GeneralSetting sealed
	{
	public:
		static property IGeneralSetting^ Current
		{
			IGeneralSetting^ get();
		}

		static void SetGeneralSetting(IGeneralSetting^ value);

	};
}