/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#include "pch.h"
#include "Annot_Unknow.h"

using namespace foxit::rdk::uiextensions;

using namespace Platform;
using namespace std;
using namespace Windows::Foundation;
using namespace Windows::Foundation::Collections;
using namespace Windows::UI::Xaml;
using namespace Windows::UI::Xaml::Controls;
using namespace Windows::UI::Xaml::Controls::Primitives;
using namespace Windows::UI::Xaml::Data;
using namespace Windows::UI::Xaml::Input;
using namespace Windows::UI::Xaml::Media;
using namespace Windows::UI::Xaml::Navigation;
using namespace Windows::UI::Popups;
using namespace Windows::UI::Xaml::Shapes;

NonSurportAnnot::NonSurportAnnot()
{
	_AnnotType = AnnotationType::NonSurport;
}

bool NonSurportAnnot::IsHitTest(Windows::Foundation::Point pagePoint)
{
	return BaseAnnot::IsHitTest(pagePoint);
}

bool NonSurportAnnot::IsHitTestRange(Windows::Foundation::Point pagePoint)
{
	return BaseAnnot::IsHitTestRange(pagePoint);
}


bool NonSurportAnnot::OnLoadAnnot(IAnnotManager^ annotmgr, Platform::Object^ pageObj, PDFAnnotHandle^ annot)
{
	if (!BaseAnnot::OnLoadAnnot(annotmgr, pageObj, annot))
		return false;
	return true;
}

bool NonSurportAnnot::OnCreate(IAnnotManager^ annotmgr, Platform::Object^ pageObj)
{
	return false;
}

NonSurportAnnotHandler::NonSurportAnnotHandler()
{
	_AnnotHandlerType = AnnotationType::NonSurport;
}