/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once


namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			[Windows::Foundation::Metadata::WebHostHidden]
			public ref class NonSurportAnnot sealed : foxit::rdk::uiextensions::BaseAnnot
			{
			public:
				/// Click on the precise
				virtual bool IsHitTest(Windows::Foundation::Point pagePoint) override;
				/// Click on the range
				virtual bool IsHitTestRange(Windows::Foundation::Point pagePoint) override;

				/// initialize
				virtual bool OnLoadAnnot(IAnnotManager^ annotmgr, Platform::Object^ pageObj, PDFAnnotHandle^ annot) override;
				/// create
				virtual bool OnCreate(IAnnotManager^ annotmgr, Platform::Object^ pageObj) override;

			internal:
				NonSurportAnnot();

			private:

			};


			ref class AnnotationManager;
			[Windows::Foundation::Metadata::WebHostHidden]
			public ref class NonSurportAnnotHandler sealed : public BaseAnnotHandler
			{
			public:
				NonSurportAnnotHandler();
			};
		}
	}
}
