/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once

namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			interface class IResourceLoader;

			// See http://go.microsoft.com/fwlink/?LinkId=267279 for info about the FileSizeConverter class
			// and other data converters.

			[Windows::Foundation::Metadata::WebHostHidden]
			public ref class FileSizeConverter sealed : public Windows::UI::Xaml::Data::IValueConverter
			{
			public:
				FileSizeConverter();
				FileSizeConverter(IResourceLoader^ loader);

				virtual Platform::Object^ Convert(Platform::Object^ value, Windows::UI::Xaml::Interop::TypeName targetType, Platform::Object^ parameter, Platform::String^ language);
				virtual Platform::Object^ ConvertBack(Platform::Object^ value, Windows::UI::Xaml::Interop::TypeName targetType, Platform::Object^ parameter, Platform::String^ language);

			private:
				float64 ToTwoDecimalPlaces(float64 value);
				IResourceLoader^ m_loader;
			};
		}
	}
}
