﻿/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#include "pch.h"
#include "NonVisibilityButton.h"

using namespace foxit::rdk::uiextensions;

using namespace Platform;
using namespace Windows::Foundation;
using namespace Windows::Foundation::Collections;
using namespace Windows::UI::Xaml;
using namespace Windows::UI::Xaml::Controls;
using namespace Windows::UI::Xaml::Data;
using namespace Windows::UI::Xaml::Documents;
using namespace Windows::UI::Xaml::Input;
using namespace Windows::UI::Xaml::Interop;
using namespace Windows::UI::Xaml::Media;


UINonVisibilityButton::UINonVisibilityButton()
{
	DefaultStyleKey = "foxit.rdk.uiextensions.NonVisibilityButton";

	if (Windows::ApplicationModel::DesignMode::DesignModeEnabled)
	{
		return;
	}

	this->Opacity = 0;
	this->IsHitTestVisible = false;
}

Windows::UI::Xaml::Automation::Peers::AutomationPeer^ UINonVisibilityButton::OnCreateAutomationPeer()
{
	return ref new NonVisibilityButtonAutomationPeer(this);
}

