/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once

namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			[Windows::Foundation::Metadata::WebHostHidden]
			public ref class TemplateSelector sealed : Windows::UI::Xaml::Controls::DataTemplateSelector
			{
			public:
				TemplateSelector();

				property Windows::UI::Xaml::DataTemplate^ Template1 {
					Windows::UI::Xaml::DataTemplate^ get()
					{
						return _Template1;
					}
					void set(Windows::UI::Xaml::DataTemplate^ value)
					{
						_Template1 = value;
					}
				}

				property Windows::UI::Xaml::DataTemplate^ Template2 {
					Windows::UI::Xaml::DataTemplate^ get()
					{
						return _Template2;
					}
					void set(Windows::UI::Xaml::DataTemplate^ value)
					{
						_Template2 = value;
					}
				}

				property Windows::UI::Xaml::DataTemplate^ Template3 {
					Windows::UI::Xaml::DataTemplate^ get()
					{
						return _Template3;
					}
					void set(Windows::UI::Xaml::DataTemplate^ value)
					{
						_Template3 = value;
					}
				}

				property Windows::UI::Xaml::DataTemplate^ Template4 {
					Windows::UI::Xaml::DataTemplate^ get()
					{
						return _Template4;
					}
					void set(Windows::UI::Xaml::DataTemplate^ value)
					{
						_Template4 = value;
					}
				}

			private:
				Windows::UI::Xaml::DataTemplate^ _Template1;
				Windows::UI::Xaml::DataTemplate^ _Template2;
				Windows::UI::Xaml::DataTemplate^ _Template3;
				Windows::UI::Xaml::DataTemplate^ _Template4;

			public:
				virtual Windows::UI::Xaml::DataTemplate^ SelectTemplateCore(Object^ item, Windows::UI::Xaml::DependencyObject^ container) override;
			};
		}
	}
}