/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once


namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			[Windows::Foundation::Metadata::WebHostHidden]
			public ref class ToolBarButton sealed : public Windows::UI::Xaml::Controls::RadioButton
			{
			public:
				ToolBarButton();

			public:
				static property Windows::UI::Xaml::DependencyProperty^ HitTextVisibleProperty
				{
					Windows::UI::Xaml::DependencyProperty^ get();
				}
				property bool HitTextVisible
				{
					bool get();
					void set(bool value);
				}

				static property Windows::UI::Xaml::DependencyProperty^ LabelProperty
				{
					Windows::UI::Xaml::DependencyProperty^ get();
				}
				property Platform::String^ Label
				{
					Platform::String^ get();
					void set(Platform::String^ value);
				}


				static void OnHitTextVisibleChanged(Windows::UI::Xaml::DependencyObject^ obj, Windows::UI::Xaml::DependencyPropertyChangedEventArgs^ args);
				static void OnLabelChanged(Windows::UI::Xaml::DependencyObject^ obj, Windows::UI::Xaml::DependencyPropertyChangedEventArgs^ args);
			};
		}
	}
}