/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once

namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			[Windows::Foundation::Metadata::WebHostHidden]
			public interface class IFoxitCursorFactory
			{
				virtual Windows::UI::Core::CoreCursor^ GetNormalCursor();
				virtual Windows::UI::Core::CoreCursor^ GetArrowCursor();
				virtual Windows::UI::Core::CoreCursor^ GetHandCursor();
				virtual Windows::UI::Core::CoreCursor^ GetBusyCursor();
				virtual Windows::UI::Core::CoreCursor^ GetAnnotCursor();
				virtual Windows::UI::Core::CoreCursor^ GetLinkSelectCursor();
				virtual Windows::UI::Core::CoreCursor^ GetTextSelectCursor();
				virtual	Windows::UI::Core::CoreCursor^ GetTextHighlightCursor();
				virtual	Windows::UI::Core::CoreCursor^ GetTextCommentCursor();
				virtual	Windows::UI::Core::CoreCursor^ GetTextStrikeCursor();
				virtual	Windows::UI::Core::CoreCursor^ GetTextUnderlineCursor();
				virtual	Windows::UI::Core::CoreCursor^ GetDrawRectCursor();
				virtual	Windows::UI::Core::CoreCursor^ GetDrawPencilCursor();
				virtual	Windows::UI::Core::CoreCursor^ GetDrawEllipseCursor();
				virtual	Windows::UI::Core::CoreCursor^ GetDrawLineCursor();
			};
		}
	}
}
