/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once

namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			public enum class FormFieldType
			{
				/// FSPDF_FORMFIELDTYPE_UNKNOWN
				UNKNOWN,
				/// FSPDF_FORMFIELDTYPE_PUSHBUTTON
				PUSHBUTTON,
				/// FSPDF_FORMFIELDTYPE_CHECKBOX
				CHECKBOX,
				/// FSPDF_FORMFIELDTYPE_RADIOBUTTON
				RADIOBUTTON,
				/// FSPDF_FORMFIELDTYPE_COMBOBOX
				COMBOBOX,
				/// FSPDF_FORMFIELDTYPE_LISTBOX
				LISTBOX,
				/// FSPDF_FORMFIELDTYPE_TEXTFIELD
				TEXTFIELD
			};

			public enum class FormFieldFlag
			{
				/// FSPDF_FORMFIELDFLAG_READONLY
				READONLY = 0x001,
				/// FSPDF_FORMFIELDFLAG_REQUIRED
				REQUIRED = 0x002,
				/// FSPDF_FORMFIELDFLAG_NOEXPORT
				NOEXPORT = 0x004
			};
		}
	}
}
