﻿/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#include "pch.h"
#include "LogManager.h"
#include "LogRealize.h"

using namespace foxit::rdk::uiextensions;

using namespace Platform;
using namespace concurrency;
using namespace Windows::Storage;
using namespace Windows::Storage::Streams;
using namespace Windows::ApplicationModel;
using namespace Windows::Storage::FileProperties;
using namespace Windows::Storage::Streams;
using namespace std;

LogManager::LogManager()
{
}

void LogManager::OutputMsg(int msgType, Platform::String^ msg)
{
	LogRealize::GetInstance()->OutputMsg(msgType,msg);
}

void LogManager::WriteMsgToLogFile(Platform::String^ msg)
{
	LogRealize::GetInstance()->WriteMsgToLogFile(msg);
}
