/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#include "pch.h"
#include "BooleanToIBoxBooleanConverter.h"

using namespace foxit::rdk::uiextensions;

using namespace Platform;
using namespace Windows::UI::Xaml::Interop;
using namespace Windows::ApplicationModel::Resources;


BooleanToIBoxBooleanConverter::BooleanToIBoxBooleanConverter()
{

}

Object^ BooleanToIBoxBooleanConverter::Convert(Object^ value, TypeName targetType, Object^ parameter, String^ language)
{
	(void)targetType;	// Unused parameter
	(void)parameter;	// Unused parameter
	(void)language;	// Unused parameter

	auto boxedBool = dynamic_cast<Box<bool>^>(value);
	auto boolValue = (boxedBool != nullptr && boxedBool->Value);
	return boolValue;
}

Object^ BooleanToIBoxBooleanConverter::ConvertBack(Object^ value, TypeName targetType, Object^ parameter, String^ language)
{
	(void)targetType;	// Unused parameter
	(void)parameter;	// Unused parameter
	(void)language;	// Unused parameter

	auto boxedBool = dynamic_cast<Box<bool>^>(value);
	auto boolValue = (boxedBool != nullptr && boxedBool->Value);
	return boolValue;
}
