/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once


namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			[Windows::Foundation::Metadata::WebHostHidden]
			public ref class InputTypeTrigger sealed : Windows::UI::Xaml::StateTriggerBase
			{
			public:
				InputTypeTrigger();

				//public properties to set from XAML
				property Windows::UI::Xaml::FrameworkElement^ TargetElement
				{
					Windows::UI::Xaml::FrameworkElement^ get();
					void set(Windows::UI::Xaml::FrameworkElement^ value);
				}

				property Windows::Devices::Input::PointerDeviceType PointerType
				{
					Windows::Devices::Input::PointerDeviceType get();
					void set(Windows::Devices::Input::PointerDeviceType value);
				}

				void UpdateTrigger();

			private:
				Windows::UI::Xaml::FrameworkElement^ _targetElement;
				Windows::Devices::Input::PointerDeviceType _lastPointerType, _triggerPointerType;

			private:
				void TargetElement_PointerPressed(Platform::Object^ sender, Windows::UI::Xaml::Input::PointerRoutedEventArgs^ e);
			};
		}
	}
}
