/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#include "pch.h"
#include "TemplateSelector.h"

using namespace foxit::rdk::uiextensions;
using namespace Windows::UI::Xaml;

TemplateSelector::TemplateSelector() {}

DataTemplate^ TemplateSelector::SelectTemplateCore(Object^ item, DependencyObject^ container)
{
	ReplyAnnot^ data = safe_cast<ReplyAnnot^>(item);

	if (data != nullptr)
	{
		if (data->ReplySeries == 0)
		{
			return Template1;
		}
		else if (data->ReplySeries == 1)
		{
			return Template2;
		}
		else if (data->ReplySeries == 2)
		{
			return Template3;
		}
		else if (data->ReplySeries == 3)
		{
			return Template4;
		}
		else
		{
			return Template1;
		}
	}
	else
	{
		int i = 0;
	}
	return this->SelectTemplate(item, container);
}

