/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once


namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			public interface class ITextSearchDataItem
			{
				property int PageNo;
				property bool IsFirstResultInPage;
				property Platform::String^ ContextTillQuery;
				property Platform::String^ Query;
				property Platform::String^ ContextPostQuery;
				property int StartCharIndex;
				property Windows::Foundation::Collections::IVector<Windows::Foundation::Rect>^ RectVect
				{
					Windows::Foundation::Collections::IVector<Windows::Foundation::Rect>^ get();
				}
			};

			public interface class ISearchOnePage
			{
				property int PageIndex
				{
					int get();
				}
				property Windows::Foundation::Collections::IVector<ITextSearchDataItem^>^ OnePageData
				{
					Windows::Foundation::Collections::IVector<ITextSearchDataItem^>^ get();
				}
			};
		}
	}
}
