/**
 * Copyright (C) 2003-2018, Foxit Software Inc..
 * All Rights Reserved.
 *
 * http://www.foxitsoftware.com
 *
 * The following code is copyrighted and is the proprietary of Foxit Software Inc.. It is not allowed to
 * distribute any parts of Foxit Mobile PDF SDK to third party or public without permission unless an agreement
 * is signed between Foxit Software Inc. and customers to explicitly grant customers permissions.
 * Review legal.txt for additional license and legal information.
 */


#pragma once

namespace foxit
{
	namespace rdk
	{
		namespace uiextensions
		{
			[Windows::Foundation::Metadata::WebHostHidden]
			public interface class IThumbnailPage
			{
			public:
				void Show();
				void Hide();
			};

			[Windows::Foundation::Metadata::WebHostHidden]
			public interface class IFoxitUICustomControlAdapter
			{
			public:
				IThumbnailPage^ GetThumbnailPage();
			};

			[Windows::Foundation::Metadata::WebHostHidden]
			public ref class FoxitUICustomControlFactory sealed
			{
			public:
				property static FoxitUICustomControlFactory^ Current
				{
					FoxitUICustomControlFactory^ get();
				}

				void SetFoxitUICustomControlAdapter(IFoxitUICustomControlAdapter^ pAdapter);

				IThumbnailPage^ ConCreateThumbnailPage();

			private:
				FoxitUICustomControlFactory();

			private:
				IFoxitUICustomControlAdapter^ m_Adapter;
			};
		}
	}
}
